org.apache.xalan.xsltc.compiler

## Class FlowList

- java.lang.Object
- - org.apache.xalan.xsltc.compiler.FlowList

    public final class FlowList
    extends java.lang.Object

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

### Constructor Summary

Constructors
Constructor and Description
`FlowList()`
`FlowList(FlowList list)`
`FlowList(org.apache.bcel.generic.InstructionHandle bh)`

### Method Summary

Methods
`FlowList` `add(org.apache.bcel.generic.InstructionHandle bh)`
`FlowList` `append(FlowList right)`
`void` `backPatch(org.apache.bcel.generic.InstructionHandle target)` Back patch a flow list.
`FlowList` `copyAndRedirect(org.apache.bcel.generic.InstructionList oldList, org.apache.bcel.generic.InstructionList newList)` Redirect the handles from oldList to newList.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlowList

    public FlowList()

#### FlowList

    public FlowList(org.apache.bcel.generic.InstructionHandle bh)

#### FlowList

    public FlowList(FlowList list)

### Method Detail

#### add

    public FlowList add(org.apache.bcel.generic.InstructionHandle bh)

#### append

    public FlowList append(FlowList right)

#### backPatch

    public void backPatch(org.apache.bcel.generic.InstructionHandle target)

Back patch a flow list. All instruction handles must be branch handles.

#### copyAndRedirect

    public FlowList copyAndRedirect(org.apache.bcel.generic.InstructionList oldList,
                           org.apache.bcel.generic.InstructionList newList)

Redirect the handles from oldList to newList. "This" flow list is assumed to be relative to oldList.